package cmdn

type ICommand interface {
	// MessageID 消息ID
	MessageID() string
}

// PlainCommand 基于明文传输数据的命令
type PlainCommand struct {
	MID  string // 消息ID
	ID   string
	Cmd  string
	Args []string
}

func (c *PlainCommand) MessageID() string {
	return c.MID
}
